Bug 595748 - RFE: API simplification
Summary: RFE: API simplification
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 14:21 UTC by Robert Rati
Modified: 2010-10-19 14:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-19 14:50:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Rati 2010-05-25 14:21:00 UTC
Description of problem:
Remove all the get* methods for attributes and other data and replace with properties.  Leave the modify/set methods, and have them modify the properties.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Will Benton 2010-06-08 16:24:13 UTC
This is done in master; a transition guide is available here:  http://chapeau.freevariable.com/2010/06/updates-to-the-wallaby-api.html


Note You need to log in before you can comment on or make changes to this bug.